2    REM  HYDRAULICS BY WALLY MARUSENKO
10    DIM CX(11,6 )  ,A,A5,A6,A7,A8,A9,B,B1,B2,B3,C,C8,D,D0,D6,D7,D8,D9,E,E8,E9,ET,F0
20    DIM G9,H,H0,H1,H6,H7,H8,H9,I0,I7,I8,I9,J,J9,K,L,M,M0,M5,M6,M7,N,N0,O,O0,O9
30    DIM P,P1,P2,P4,P5,P6,P7,P8,P9,Q,R1,R2,R8,R9,RAD,S,S0,S1,T0,T1,T3,T4,T5,T6,T8
40    DIM T9,V,V1,V8,V9,W,W0,W1,X,X0,X1,X8,X9,Y,Y8,Y9,Z,O$(6)
50   FORMAT1$="     OPTION=#####     DISCHARGE=#######.##  CFS     SLOPE=###.#####"
60   FORMAT2$="          0.925 _* RISE =###.##"
70   FORMAT3$="          #####.##  #####.##                        #####.### ##.## ##.## ##.###"
80   FORMAT4$="          #####.##  #####.## ######.##- #######.##-  ####.### ##.## ##.## ##.###"
90   FORMAT5$="          CRITICAL DEPTH=#####.## FT       VELOCITY= ######.##  FT/SEC"
100  FORMAT6$="          WETTED PER=    #####.##  FT      WATER WIDTH=####.## FT"
110  FORMAT7$="          MANNING'S 'N'= #####.###"
120  FORMAT8$="          NORMAL DEPTH=  #####.##  FT      VELOCITY= ######.##  FT/SEC"
130  FORMAT9$="          WETTED PER=    #####.##  FT      WATER WIDTH=####.##  FT"
140  FORMAT10$="     LENGTH OF CULVERT         =##### FEET"
150  FORMAT11$="     APPROACH VELOCITY          =####.## FT/SEC"
160  FORMAT12$="     FULL FLOW VELOCITY         =####.## FT/SEC"
170  FORMAT13$="     (DC+D)/2                   =####.## FEET"
180  FORMAT14$="     INPUT VALUE (DC+D)/2 OR TW =####.## FEET"
190  FORMAT15$="     OUTLET CONTROL HW FOR FULL FLOW           =####.## FEET"
200  FORMAT16$="     FLOW DEPTH AT INLET        =####.## FEET"
210  FORMAT17$="     INLET VELOCITY             =####.## FT/SEC"
220  FORMAT18$="     INLET LOSS COEFFICIENT (KE)=####.####"
230  FORMAT19$="     OUTLET CONTROL HW FOR PARTIAL FLOW         =####.## FEET"
240  FORMAT20$="     INLET CONTROL HW-PARTIALLY SUBMERGED      ####.## FEET"
250  FORMAT21$="     INLET CONTROL HW-UNSUBMERGED              ####.## FEET"
260  FORMAT22$="     INLET CONTROL HW-SUBMERGED                ####.## FEET"
270  FORMAT23$="          TOTAL AREA=######.##  SQ FT      TOTAL PERIMETER=######.##  FT"
280  FORMAT24$="          SPAN       =#### FEET ### INCHES"
290  FORMAT25$="          RISE   = ###  FEET ###  INCHES"
300  FORMAT26$="          TOP RADIUS =#### FEET ### INCHES"
310  FORMAT27$="          SIDE RADIUS=#### FEET ### INCHES"
320  FORMAT28$="          SPAN=   #####.####  FT      RISE=    #####.####  FT"
330  FORMAT29$="          TOP RAD=#####.####  FT      SIDE RAD=#####.####  FT"
340  FORMAT30$="          TOP RISE   =#### FEET ### INCHES"
350  FORMAT31$="          TOTAL RISE =#### FEET ### INCHES"
360  FORMAT32$="          BOTTOM RISE=#### FEET ### INCHES"
370  FORMAT33$="          RADIUS RT  =####  FEET ###  INCHES"
380  FORMAT34$="          RADIUS RC  =####  FEET ###  INCHES"
390  FORMAT35$="          RADIUS RS  =####  FEET ###  INCHES"
400  FORMAT36$="          DIAMETER =###.## FEET"
410  FORMFEED$=CHR$(12)
420  PI=3.14159
430  DEF FNCOMM(ARG)=65535!-ARG
440  DEF FNNCOMP(RAD)=N+(1-SGN(ABS(N)))*.0336/(RAD^.07)
450  DEF FNOMOD6(O)=O-6*INT((O-1)/6)
470  IF O>6 THEN GOSUB 2890 ELSE GOSUB 2900
480 PRINT
490 PRINT
500  INPUT "      ENTER OPTION #   ";U
510 IF U>6 THEN 500
520  PRINT C1LEAR$
530  ON ERROR GOTO 55000
540  GOSUB 560
550  GOTO 690
560  CLOSE #1:CLOSE #2:INPUT "DO YOU WANT PRINTOUT ON   (SCREEN=0  PRINTER=1  BOTH=2)  ",Q9
562  IF Q9<>0 AND Q9<>1 AND Q9<>2 THEN 170
565 NA$="scrn:":IF Q9=1 THEN NA$="lpt1:":OPEN "O",#1,NA$:ELSE OPEN "O",#1,NA$
567  IF Q9=2 THEN OPEN "O",#2,"LPT1:"
570  REM PRINT #1,FORMFEED$
575  REM IF Q9=2 THEN PRINT #2,FORMFEED$
580  PRINT #1," "
585  IF Q9=2 THEN PRINT #2," "
590  PRINT #1,"     #################### SUPER SPAN PROGRAM ####################"
595  IF Q9=2 THEN PRINT #2,"     #################### SUPER SPAN PROGRAM ####################"
600  PRINT #1," "
605  IF Q9=2 THEN PRINT #2," "
610  PRINT #1,TAB(17) O$(U)
615  IF Q9=2 THEN PRINT #2,TAB(17) O$(U)
620  PRINT #1," "
625  IF Q9=2 THEN PRINT #2," "
630  PRINT #1," "
635  IF Q9=2 THEN PRINT #2," "
650  PRINT #1,"          RUN  DATE  ";DATE$
655  IF Q9=2 THEN PRINT #2,"          RUN  DATE  ";DATE$
660  PRINT #1," "
665  IF Q9=2 THEN PRINT #2," "
680  RETURN
690  IF NA$="lpt1:" THEN PRINT TAB(17) O$(U)
720  PRINT
730  REM ** REVISED TO INCLUDE ALPHA=1.16 IN LINES 1420 AND  2280. 8/18/78
732 REM **REVISED TO INCLUDE ALPHA=1.0 FOR CONCRETE ROUND PIPE 6-26-85
740  REM ** REVISED SO 1" IS NO LONGER ADDED TO RADII 9/29/78
750  R9=360/(2*PI)
760  I9=0
770  K=0
780  I7=0
790  PRINT #1," "
795  IF Q9=2 THEN PRINT #2," "
800  REM O=1 IS FOR HORIZONTAL ELLIPSE OPTION
810  O=U
820  PRINT "ENTER DISCHARGE";
830  INPUT Q
840  PRINT "ENTER SLOPE";
850  INPUT S
860  PRINT #1,USING FORMAT1$;FNOMOD6(O),Q,S
865  IF Q9=2 THEN PRINT #2,USING FORMAT1$;FNOMOD6(O),Q,S
880  M=0
890  PRINT "ENTER DEPTH OF MATERIAL";
900  INPUT M
910  PRINT "ENTER ";
920  IF M=0 AND O<>2 AND O<>3 AND O<>7 AND O<>8 THEN 970
930  PRINT "COMPOSITE MANNING'S 'N'";
940  INPUT N
950  IF N<>0 THEN 1030
960  GOTO 910
970  PRINT "MANNING'S N OR 0";
980  INPUT N
990  IF N<>0 THEN 1020
1000  PRINT #1,TAB(6);"DEPTH OF MATERIAL =";M
1005  IF Q9=2 THEN PRINT #2,TAB(6);"DEPTH OF MATERIAL =";M
1010  GOTO 1070
1020  IF M=0 AND O<>2 AND O<>3 AND O<>7 AND O<>8 THEN 1050
1030  PRINT #1,TAB(6);"COMPOSITE ";
1035  IF Q9=2 THEN PRINT #2,TAB(6);"COMPOSITE ";
1040  GOTO 1060
1050  PRINT #1,"     ";
1055  IF Q9=2 THEN PRINT #2,"     ";
1060  PRINT #1,"MANNING'S  'N'=";N, "DEPTH OF MATERIAL =";M
1065  IF Q9=2 THEN PRINT #2,"MANNING'S  'N'=";N, "DEPTH OF MATERIAL =";M
1080  PRINT "IS DATA CORRECT  YES=0  NO=1";
1090  INPUT T0
1100  IF T0=1 THEN 820
1110 IF O>6 THEN 1150
1130 ON U GOSUB 6090,7250,8200,9370,10410,10410
1140 GOTO 1160
1150 ON U GOSUB 6500,7570,8450,10120,10530,10530
1160 J9=0
1170 IF O<>3 THEN 1200
1180 X0=1
1190 ON U GOSUB 5540,6740,7730,8650,10160,10160
1200 IF FNOMOD6(O)<>2 THEN 1220
1210 M=M+M0
1220 D6=H-M
1230 PRINT #1,USING FORMAT2$;.9250001*D6
1235 IF Q9=2 THEN PRINT #2,USING FORMAT2$;.9250001*D6
1240 PRINT #1," "
1245 IF Q9=2 THEN PRINT #2," "
1250 IF M=0 THEN 1360
1260 IF FNOMOD6(O)<>2 THEN 1280
1270 IF M=M0 THEN 1300
1280 PRINT #1,"     NOTE: DEPTHS ARE ABOVE TOP OF BURIED MATERIAL"
1285 IF Q9=2 THEN PRINT #2,"     NOTE: DEPTHS ARE ABOVE TOP OF BURIED MATERIAL"
1290 PRINT #1," "
1295 IF Q9=2 THEN PRINT #2," "
1300 X0=M
1310 ON U GOSUB 5540,6740,7730,8650,10160,10160
1320 M5=A8
1330 M6=P8
1340 M7=C8
1350 O9=A9-M5
1360 I0=3
1370 IF M=0 THEN 1400
1380 X0=M+.1
1390 GOTO 1410
1400 X0=.1
1410 IF J9=1 THEN 1440
1411 IF FNOMOD6(O)>5 THEN 1412 ELSE 1420
1412 T8=1.05*Q*Q/32.2
1413 GOTO 1430
1420 T8=1.16*Q*Q/32.2
1430 GOTO 1450
1440 T8=Q/(1.49*SQR(S))
1450 ON U GOSUB 5540,6740,7730,8650,10160,10160
1460 IF M<>0 THEN 1480
1470 O9=A9
1480 IF J9=1 THEN 1530
1490 IF M=0 THEN 1510
1500 A8=A8-M5
1510 T9=A8^3/C8
1520 GOTO 1580
1530 IF M=0 THEN 1560
1540 A8=A8-M5
1550 P8=P8-M6+M7
1560 R8=A8/P8
1570 T9=A8*R8^.6667/FNNCOMP(R8)
1580 IF I0<.001 THEN 3100
1590 IF T9<T8 THEN 1640
1600 X0=X0-I0
1610 I0=.2*I0
1620 X0=X0+I0
1630 GOTO 1650
1640 X0=X0+I0
1650 IF X0 >= H THEN 1600
1660 IF J9=0 THEN 1450
1670 IF X0<(.9250001*D6+M) THEN 1450
1680 IF I0>.05 THEN 1450
1690 X0=H
1700 IF M=0 THEN 1740
1710 A8=A9-M5
1720 P8=P9-M6+M7
1730 GOTO 1760
1740 A8=A9
1750 P8=P9
1760 C8=0
1770 GOTO 3220
1780 PRINT "NEED WATER PROFILE? YES=0 NO=1";
1790 INPUT T0
1800 IF T0>0 THEN 2820
1801 IF T0=0 THEN 1810
1806 PRINT #1,USING FORMAT5$;Y8,V8
1807 IF Q9=2 THEN PRINT #2,USING FORMAT5$;Y8,V8
1808 PRINT #1,USING FORMAT8$;Y9,V9
1809 IF Q9=2 THEN PRINT #2,USING FORMAT8$;Y9,V9
1810 PRINT "ENTER INITIAL DEPTH OVER FLOWLN";
1820 INPUT D8
1830 IF D8 <= .9250001*D6 THEN 1860
1840 PRINT "MUST BE < 0.925 * RISE"
1850 GOTO 1806
1860 PRINT "ENTER FINAL DEPTH OVER FLOWLINE";
1870 INPUT D9
1880 PRINT "ENTER INCREMENT";
1890 INPUT D7
1900 PRINT #1," "
1905 IF Q9=2 THEN PRINT #2," "
1910 PRINT #1,TAB(6);"INITIAL DEPTH= ";D8;"FINAL DEPTH= ";D9;"INCREMENT= ";D7
1915 IF Q9=2 THEN PRINT #2,TAB(6);"INITIAL DEPTH= ";D8;"FINAL DEPTH= ";D9;"INCREMENT= ";D7
1920 PRINT #1," "
1925 IF Q9=2 THEN PRINT #2," "
1930 PRINT "IS DATA CORRECT  YES=0  NO=1 ";
1940 INPUT T0
1950 IF T0<1 THEN 1970
1960 GOTO 1806
1970 L=0
1980 IF ABS(D8-Y8)>5.000001E-03 THEN 2010
1990 D8=Y8
2000 GOTO 2020
2010 IF ABS(D8-Y9)<5.000001E-03 THEN 2540
2020 IF FNOMOD6(O)<>2 THEN 2050
2030 IF D8<H-M0 THEN 2090
2040 GOTO 2060
2050 IF D8<H THEN 2090
2060 PRINT #1,"INITIAL DEPTH EXCEEDS RISE  -  TRY AGAIN"
2065 IF Q9=2 THEN PRINT #2,"INITIAL DEPTH EXCEEDS RISE  -  TRY AGAIN"
2070 PRINT #1," "
2075 IF Q9=2 THEN PRINT #2," "
2080 GOTO 1806
2090 PRINT #1,"          DEPTH-FT   VELOCITY   DELTA X   SUM OF X'S-FT   HYD  WET  WAT    'N'"
2095 IF Q9=2 THEN PRINT #2,"          DEPTH-FT   VELOCITY   DELTA X   SUM OF X'S-FT   HYD  WET  WAT    'N'"
2100 PRINT #1,TAB(14);"(CONTROL IS: NEG=DOWNSTREAM; POS=UPSTREAM)   RAD  PER  SURF"
2105 IF Q9=2 THEN PRINT #2,TAB(14);"(CONTROL IS: NEG=DOWNSTREAM; POS=UPSTREAM)   RAD  PER  SURF"
2110 X8=0
2120 X0=D8
2130 IF D8>D9 THEN 2160
2140 D7=ABS(D7)
2150 GOTO 2170
2160 D7=-ABS(D7)
2170 L=L+1
2180 IF M=0 THEN 2200
2190 X0=X0+M
2200 ON U GOSUB 5540,6740,7730,8650,10160,10160
2210 IF M=0 THEN 2240
2220 A8=A8-M5
2230 P8=P8+M7-M6
2240 R8=(A8/P8)^1.3333
2250 V1=Q/A8
2251 IF FNOMOD6(O)>5 THEN 2282
2260 IF M=0 THEN 2280
2261 X0=X0-M
2280 E9=X0+1.16*V1*V1/64.4
2281 GOTO 2290
2282 IF M=0 THEN 2284
2283 X0=X0-M
2284 E9=X0+1.05*V1*V1/64.4
2290 S1=Q^2*(FNNCOMP(A8/P8))^2/(2.21*R8*A8^2)
2300 IF L<>1 THEN 2330
2310 PRINT #1,USING FORMAT3$;X0,V1,A8/P8,P8,C8,FNNCOMP(A8/P8)
2315 IF Q9=2 THEN PRINT #2,USING FORMAT3$;X0,V1,A8/P8,P8,C8,FNNCOMP(A8/P8)
2320 GOTO 2370
2330 X9=(E9-E8)/(S-((S0+S1)/2))
2340 X8=X8+X9
2350 T0=A8/P8
2360 PRINT #1,USING FORMAT4$;X0,V1,X9,X8,T0,P8,C8,FNNCOMP(A8/P8)
2365 IF Q9=2 THEN PRINT #2,USING FORMAT4$;X0,V1,X9,X8,T0,P8,C8,FNNCOMP(A8/P8)
2370 E8=E9
2380 S0=S1
2390 X0=X0+D7
2400 IF D7<0 THEN 2460
2410 IF X0<.9250001*D6 THEN 2440
2420 PRINT #1,TAB(10);"DEPTH EXCEEDS 0.925 * RISE THEREFORE FULL FLOW COND. EXISTS"
2425 IF Q9=2 THEN PRINT #2,TAB(10);"DEPTH EXCEEDS 0.925 * RISE THEREFORE FULL FLOW COND. EXISTS"
2430 GOTO 2810
2440 IF X0>D9 THEN 2810
2450 GOTO 2480
2460 IF X0<.05 THEN 2810
2470 IF X0<D9 THEN 2810
2480 IF Y8>Y9 THEN 2670
2490 IF D8>Y9 AND D7<0 THEN 2580
2500 IF D8>Y9 AND D7>0 THEN 2540
2510 IF D8<Y8 AND D7>0 THEN 2610
2520 IF D8<Y8 AND D7<0 THEN 2540
2530 IF D8 >= Y8 AND D7>0 THEN 2640
2540 PRINT #1,TAB(6);"+++IMPOSSIBLE PROFILE --- TRY AGAIN"
2545 IF Q9=2 THEN PRINT #2,TAB(6);"+++IMPOSSIBLE PROFILE --- TRY AGAIN"
2550 PRINT #1," "
2555 IF Q9=2 THEN PRINT #2," "
2560 PRINT #1," "
2565 IF Q9=2 THEN PRINT #2," "
2570 GOTO 1806
2580 IF X0 >= Y9 THEN 2170
2590 PRINT #1,TAB(10);"BACKWATER CURVE (M-1) GOES BELOW NORMAL DEPTH"
2595 IF Q9=2 THEN PRINT #2,TAB(10);"BACKWATER CURVE (M-1) GOES BELOW NORMAL DEPTH"
2600 GOTO 2810
2610 IF X0 <= Y8 THEN 2170
2620 PRINT #1,TAB(10);"SUPER-CRITICAL FLOW (M-3) EXCEEDS CRITICAL DEPTH"
2625 IF Q9=2 THEN PRINT #2,TAB(10);"SUPER-CRITICAL FLOW (M-3) EXCEEDS CRITICAL DEPTH"
2630 GOTO 2810
2640 IF X0 <= Y9 THEN 2170
2650 PRINT #1,TAB(10);"DROWDAWN CURVE (M-2) EXCEEDS NORMAL DEPTH"
2655 IF Q9=2 THEN PRINT #2,TAB(10);"DROWDAWN CURVE (M-2) EXCEEDS NORMAL DEPTH"
2660 GOTO 2810
2670 IF D8>Y8 AND D7<0 THEN 2730
2680 IF D8>Y8 AND D7>0 THEN 2540
2690 IF D8<Y9 AND D7>0 THEN 2760
2700 IF D8<Y9 AND D7<0 THEN 2540
2710 IF D8>Y9 AND D7<0 THEN 2790
2720 GOTO 2540
2730 IF X0 >= Y8 THEN 2170
2740 PRINT #1,TAB(10);"SUB-CRITICAL FLOW (S-1) GOES BELOW CRITICAL DEPTH"
2745 IF Q9=2 THEN PRINT #2,TAB(10);"SUB-CRITICAL FLOW (S-1) GOES BELOW CRITICAL DEPTH"
2750 GOTO 2810
2760 IF X0 <= Y9 THEN 2170
2770 PRINT #1,TAB(10);"SUPER-CRITICAL FLOW (S-3) EXCEEDS NORMAL DEPTH"
2775 IF Q9=2 THEN PRINT #2,TAB(10);"SUPER-CRITICAL FLOW (S-3) EXCEEDS NORMAL DEPTH"
2780 GOTO 2810
2790 IF X0 >= Y9 THEN 2170
2800 PRINT #1,TAB(10);"SUPER-CRITICAL FLOW (S-2) GOES BELOW NORMAL DEPTH"
2805 IF Q9=2 THEN PRINT #2,TAB(10);"SUPER-CRITICAL FLOW (S-2) GOES BELOW NORMAL DEPTH"
2806 PRINT
2807 GOT0 2810
2810 PRINT #1,USING FORMAT8$;Y9,V9
2811 IF Q9=2 THEN PRINT #2,USING FORMAT8$;Y9,V9
2813 PRINT "ENTER SELECTED FLOW DEPTH AT THE INLET";
2814 INPUT X0
2815 PRINT "ENTER SELECTED VELOCITY AT THE INLET";
2816 INPUT V1
2817 PRINT "SELECTED DEPTH AND VELOCITY CORRECT ? YES=0  N0=1";
2818 INPUT T0
2819 IF T0=1 THEN 2813 ELSE 2820
2820 PRINT
2830 PRINT "NEW?:  SIZE=1  OPTION=2  HYDRAULICS=3  PROFILE=4  HEAD WATER=5  DONE=6";
2831 I=0
2840 INPUT T0
2850 IF O>6 THEN 2870
2860 O=O+6
2870 IF T0<>2 THEN 2990
2880 GOTO 470
2890 M=M-M0
2900 FOR T=1 TO 6
2910  O$(1)= "    ***** HORIZONTAL ELLIPSE *****"
2920  O$(2)= "    *****  LOW PROFILE ARCH  *****"
2930  O$(3)= "    ***** HIGH PROFILE ARCH  *****"
2940  O$(4)= "    *****     PEAR SHAPE     *****"
2950  O$(5)= "    *****   CIRCULAR SHAPE , METAL *****"
2955  O$(6)= "    ***** CIRCULAR SHAPE , CONCRETE *****"
2960 PRINT "      OPTION #";T;"=";O$(T)
2970 NEXT T
2980 RETURN
2990 IF T0<>1 AND T0<>3 AND T0<>5 THEN 3030
3000 GOSUB 560
3010 IF T0=3 THEN 3070
3020 GOSUB 5300
3030 ON T0 GOTO 3040,2900,3050,1806,3310,3090
3040 I9=0
3050 IF T0<>1 OR O<>7 THEN 3070
3060 M=M-M0
3070 ON T0 GOTO 1120,790,820
3080 GOTO 2810
3090 CHAIN "MENU":'***********************************************************
3100 IF J9=1 THEN 3220
3110 IF I7<>0 THEN 5100
3120 Y8=X0
3130 V8=Q/A8
3140 IF M=0 THEN 3160
3150 Y8=Y8-M
3160 PRINT #1,USING FORMAT5$;Y8,V8
3165 IF Q9=2 THEN PRINT #2,USING FORMAT5$;Y8,V8
3170 PRINT #1,USING FORMAT6$;P8,C8
3175 IF Q9=2 THEN PRINT #2,USING FORMAT6$;P8,C8
3180 PRINT #1,USING FORMAT7$;FNNCOMP(A8/P8)
3185 IF Q9=2 THEN PRINT #2,USING FORMAT7$;FNNCOMP(A8/P8)
3190 PRINT #1," "
3195 IF Q9=2 THEN PRINT #2," "
3200 J9=1
3210 GOTO 1360
3220 Y9=X0
3230 V9=Q/A8
3240 IF M=0 THEN 3260
3250 Y9=Y9-M
3260 PRINT #1,USING FORMAT8$;Y9,V9
3265 IF Q9=2 THEN PRINT #2,USING FORMAT8$;Y9,V9
3270 PRINT #1,USING FORMAT9$;P8,C8
3275 IF Q9=2 THEN PRINT #2,USING FORMAT9$;P8,C8
3280 PRINT #1,USING FORMAT7$;FNNCOMP(A8/P8)
3285 IF Q9=2 THEN PRINT #2,USING FORMAT7$;FNNCOMP(A8/P8)
3290 PRINT #1," "
3295 IF Q9=2 THEN PRINT #2," "
3300 GOTO 1780
3310 ON U GOSUB 6500,7570,8450,10120,10530,10530
3320 PRINT #1," "
3325 IF Q9=2 THEN PRINT #2," "
3330 PRINT #1,USING FORMAT5$;Y8,V8
3335 IF Q9=2 THEN PRINT #2,USING FORMAT5$;Y8,V8
3340 PRINT #1," "
3345 IF Q9=2 THEN PRINT #2," "
3350 PRINT #1,USING FORMAT8$;Y9,V9
3355 IF Q9=2 THEN PRINT #2,USING FORMAT8$;Y9,V9
3360 PRINT #1," "
3365 IF Q9=2 THEN PRINT #2," "
3370 PRINT #1," "
3375 IF Q9=2 THEN PRINT #2," "
3380 PRINT #1,">>>>>>>>>> HEAD WATER CALCULATIONS <<<<<<<<<<"
3385 IF Q9=2 THEN PRINT #2,">>>>>>>>>> HEAD WATER CALCULATIONS <<<<<<<<<<"
3390 PRINT #1," "
3395 IF Q9=2 THEN PRINT #2," "
3400 PRINT #1,"     ///// OUTLET CONTROL /////"
3405 IF Q9=2 THEN PRINT #2,"     ///// OUTLET CONTROL /////"
3410 PRINT #1," "
3415 IF Q9=2 THEN PRINT #2," "
3420 PRINT "FULL FLOW CONDITION  YES=0  NO=1";
3430 INPUT T0
3435 I=I+1
3440 IF T0=1 AND I=1 THEN 3731
3441 IF T0=1 AND I=2 THEN 3734
3450 PRINT "ENTER LENGTH OF CULVERT";
3460 INPUT T0
3462  PRINT #1,USING FORMAT10$;T0
3464  IF Q9=2 THEN PRINT #2,USING FORMAT10$;T0
3467 IF FNOMOD6(O)<5 THEN 3470
3468 IF FNOMOD6(O)=5 THEN 3476
3469 IF FNOMOD6(O)=6 THEN 3482
3470 PRINT "0.50=90 DEGREE HEADWALL, CORRUGATED METAL EDGE (SLIGHT BEVEL)";
3471 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)";
3472 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.083 D AT 33.7 DEGREES)";
3473 PRINT "0.70=MITERED TO EMBANKEMENT (ALL NON-RECTANGULAR SHAPES)";
3474 PRINT "0.90=PROJECTING THIN WALL, CORRUGATED METAL"
3475 GOTO 3489
3476 PRINT "0.50=90 DEGREE HEADWALL, SQUARE EDGE. ALSO APRON";
3477 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)";
3478 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.083 D AT 33.7 DEGREES)";
3479 PRINT "0.70=MITERED TO EMBANKEMENT, CIRCULAR, SQUARE EDGE";
3480 PRINT "0.90=PROJECTING THIN WALL, CORRUGATED METAL"
3481 GOTO 3489
3482 PRINT "0.50=90 DEGREE HEADWALL, SQUARE EDGE. ALSO APRON";
3483 PRINT "0.20=90 DEGREE HEADWALL, GROOVE END (0.05 * 0.07 D)";
3484 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)";
3485 IF Q9=2 THEN PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.083 D AT 33.7 DEGREES)";
3486 PRINT "0.70=MITERED TO EMBANKEMENT, CIRCULAR, SQUARE EDGE";
3487 PRINT "0.90=PROJECTING THICK WALL(WALL THICKNESS=0.09 D)";
3488 PRINT "0.20=PROJECTING THICK WALL, GROOVE END (0.05 * 0.07 D)"
3489 PRINT " INLET LOSS COEFFICIENT (Ke)"
3490 INPUT K
3500 PRINT #1,USING FORMAT18$;K
3505 IF Q9=2 THEN PRINT #2,USING FORMAT18$;K
3510 V1=Q/A9
3520 O0=A9/P9
3530 IF M=0 THEN 3560
3540 V1=Q/(A9-M5)
3550 O0=(A9-M5)/(P9-M6+M7)
3560 PRINT "ENTER APPROACH VELOCITY";
3570 INPUT X0
3580 PRINT #1,USING FORMAT11$;X0
3585 IF Q9=2 THEN PRINT #2,USING FORMAT11$;X0
3590 PRINT #1,USING FORMAT12$;V1
3595 IF Q9=2 THEN PRINT #2,USING FORMAT12$;V1
3600 V1=(1+K+29*(FNNCOMP(O0))^2*T0/O0^(4/3))*V1^2/64.4
3610 PRINT #1,USING FORMAT13$;(Y8+D6)/2
3615 IF Q9=2 THEN PRINT #2,USING FORMAT13$;(Y8+D6)/2
3620 PRINT #1," "
3625 IF Q9=2 THEN PRINT #2," "
3630 PRINT
3640 PRINT USING FORMAT13$;(Y8+D6)/2
3650 PRINT
3660 PRINT "ENT. LARGER VALUE (DC+D)/2 OR TW";
3670 INPUT O0
3680 PRINT #1,USING FORMAT14$;O0
3685 IF Q9=2 THEN PRINT #2,USING FORMAT14$;O0
3690 PRINT #1," "
3695 IF Q9=2 THEN PRINT #2," "
3700 PRINT #1,USING FORMAT15$;V1+O0-S*T0-X0*X0/64.4
3705 IF Q9=2 THEN PRINT #2,USING FORMAT15$;V1+O0-S*T0-X0*X0/64.4
3710 PRINT #1," "
3715 IF Q9=2 THEN PRINT #2," "
3720 PRINT #1," "
3725 IF Q9=2 THEN PRINT #2," "
3730 GOTO 3970
3731 PRINT "SELECTED FLOW DEPTH AT THE INLET"; X0
3733 PRINT "SELECTED VELOCITY AT THE INLET"; V1
3734 D0=X0
3735 V=V1
3810 PRINT "FLOW DEPTH AT INLET";
3811 INPUT D0
3820 PRINT "INLET VELOCITY";
3821 INPUT V
3835 IF Q9=2 THEN PRINT #2,USING FORMAT17$;V
3838 IF FNOMOD6(O)<5 THEN 3841
3839 IF FNOMOD6(O)=5 THEN 3847
3840 IF FNOMOD6(O)=6 THEN 3853
3841 PRINT "0.50=90 DEGREE HEADWALL, CORRUGATED METAL EDGE (SLIGHT BEVEL)";
3842 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)";
3843 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.083 D AT 45 DEGREES)";
3844 PRINT "0.70=MITERED TO EMBANKEMENT (ALL NON-RECTANGULAR SHAPES)";
3845 PRINT  "0.90=PROJECTING THIN WALL, CORRUGATED METAL"
3846 GOTO 3860
3847 PRINT "0.50=90 DEGREE HEADWALL, SQUARE EDGE. ALSO APRON";
3848 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)";
3849 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.083 D AT 33.7 DEGREES)";
3850 PRINT "0.70=MITERED TO EMBANKEMENT, CIRCULAR, SQUARE EDGE"
3851 PRINT "0.90=PROJECTING THIN WALL, CORRUGATED METAL"
3852 GOTO 3860
3853 PRINT "0.50=90 DEGREE HEADWALL, SQUARE EDGE. ALSO APRON";
3854 PRINT "0.20=90 DEGREE HEADWALL, GROOVE END (0.05 * 0.07 D)";
3855 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)";
3856 PRINT "0.25=90 DEGREE HEADWALL, BEVEL (0.083 D AT 33.7 DEGREES)";
3857 PRINT "0.70=MITERED TO EMBANKEMENT, CIRCULAR, SQUARE EDGE";
3858 PRINT "0.90=PROJECTING THICK WALL(WALL THICKNESS=0.09 D)";
3859 PRINT "0.20=PROJECTING THICK WALL, GROOVE END (0.05 * 0.07 D)"
3860 PRINT " INLET LOSS COEFFICIENT (Ke)"
3861 INPUT K
3870 PRINT #1," "
3875 IF Q9=2 THEN PRINT #2," "
3880 PRINT "ENTER APPROACH VELOCITY";
3890 INPUT X0
3900 PRINT #1," "
3905 IF Q9=2 THEN PRINT #2," "
3910 PRINT "IS DATA CORRECT?  YES=0  NO=1";
3920 INPUT O0
3930 IF O0=1 THEN 3500
3940 PRINT #1,USING FORMAT19$;D0+(1+K)*(V^2)/64.4-X0*X0/64.4
3945 IF Q9=2 THEN PRINT #2,USING FORMAT19$;D0+(1+K)*(V^2)/64.4-X0*X0/64.4
3950 PRINT #1," "
3955 IF Q9=2 THEN PRINT #2," "
3960 PRINT #1," "
3965 IF Q9=2 THEN PRINT #2," "
3970 PRINT #1,"     ///// INLET CONTROL /////"
3975 IF Q9=2 THEN PRINT #2,"     ///// INLET CONTROL /////"
3980 PRINT #1," "
3985 IF Q9=2 THEN PRINT #2," "
3990 CX(1,1 )  =.01
4000 CX(1,2 )  =2
4010 CX(1,3 )  =3.3
4020 CX(1,4 )  =.0398
4030 CX(1,5 )  =.67
4040 CX(1,6 )  =3.4
4050 CX(2,1 )  =.0083
4060 CX(2,2 )  =2
4070 CX(2,3 )  =3.3
4080 CX(2,4 )  =.0379
4090 CX(2,5 )  =.69
4100 CX(2,6 )  =3.8
4110 CX(3,1 )  =.0018
4120 CX(3,2 )  =2.5
4130 CX(3,3 )  =3.3
4140 CX(3,4 )  =.0292
4150 CX(3,5 )  =.74
4160 CX(3,6 )  =4.2
4170 CX(4,1 )  =.0018
4180 CX(4,2 )  =2.5
4190 CX(4,3 )  =3.3
4200 CX(4,4 )  =.03
4210 CX(4,5 )  =.74
4220 CX(4,6 )  =4.2
4230 CX(5,1 )  =.0018
4240 CX(5,2 )  =2.5
4250 CX(5,3 )  =3.3
4260 CX(5,4 )  =.243
4270 CX(5,5 )  =.83
4280 CX(5,6 )  =4.2
4290 CX(6,1 )  =.021
4300 CX(6,2 )  =1.33
4310 CX(6,3 )  =3
4320 CX(6,4 )  =.0463
4330 CX(6,5 )  =.75
4340 CX(6,6 )  =5.1
4350 CX(7,1 )  =.03
4360 CX(7,2 )  =1
4370 CX(7,3 )  =3
4380 CX(7,4 )  =.0463
4390 CX(7,5 )  =.75
4400 CX(7,6 )  =5.1
4410 CX(8,1 )  =.0145
4420 CX(8,2 )  =1.75
4430 CX(8,3 )  =3.3
4440 CX(8,4 )  =.0419
4450 CX(8,5 )  =.64
4460 CX(8,6 )  =4.5
4470 CX(9,1 )  =.0045
4480 CX(9,2 )  =2
4490 CX(9,3 )  =3.3
4500 CX(9,4 )  =.0317
4510 CX(9,5 )  =.69
4520 CX(9,6 )  =3.3
4530 CX(10,1 )  =.034
4540 CX(10,2 )  =1.5
4550 CX(10,3 )  =3.3
4560 CX(10,4 )  =.0553
4570 CX(10,5 )  =.54
4580 CX(10,6 )  =5
4590 CX(11,1 )  =.034
4600 CX(11,2 )  =1.5
4610 CX(11,3 )  =3.3
4620 CX(11,4 )  =.0496
4630 CX(11,5 )  =.57
4640 CX(11,6 )  =5
4641 IF FNOMOD6(O)<5 AND K=.25 GOTO 4664
4642 IF FNOMOD6(O)<5 AND K=.5 GOTO 4659
4643 IF FNOMOD6(O)<5 AND K=.7 GOTO 4669
4644 IF FNOMOD6(O)<5 AND K=.9 GOTO 4674
4647 IF FNOMOD6(O)=5 AND K=.25 GOTO 4664
4648 IF FNOMOD6(O)=5 AND K=.5 GOTO 4657
4649 IF FNOMOD6(O)=5 AND K=.7 GOTO 4667
4650 IF FNOMOD6(O)=5 AND K=.9 GOTO 4674
4651 IF FNOMOD6(O)=6 AND K=.2 GOTO 4661
4652 IF FNOMOD6(O)=6 AND K=.25 GOTO 4664
4653 IF FNOMOD6(O)=6 AND K=.5 GOTO 4657
4654 IF FNOMOD6(O)=6 AND K=.7 GOTO 4667
4655 IF FNOMOD6(O)=6 AND K=.9 GOTO 4674
4657 PRINT "1=90 DEGREE HEADWALL SQUARE EDGE , ALSO APRON."
4658 GOTO 4676
4659 PRINT " 2=90 DEGREE HEADWALL CORRUGATED METAL EDGE (SLIGHT BEVEL)"
4660 GOTO 4676
4661 PRINT "3.0=90 DEGREE HEADWALL, GROOVE END (0.05 * 0.07 D)"
4662 PRINT "9.0=PROJECTING THICK WALL, GROOVE END (0.05 * 0.07 D)"
4663 GOTO 4676
4664 PRINT "4.0=90 DEGREE HEADWALL, BEVEL (0.04 D AT 45 DEGREES)"
4665 PRINT "5.0=90 DEGREE HEADWALL, BEVEL (0.083 D AT 33.7 DEGREES)"
4666 GOTO 4676
4667 PRINT "6=0=MITERED TO EMBANKEMENT, CIRCULAR, SQUARE EDGE"
4668 GOTO 4676
4669 PRINT "7.0=MITERED TO EMBANKEMENT (ALL NON-RECTANGULAR SHAPES)"
4670 GOTO 4676
4671 PRINT "8.0=PROJECTING THICK WALL(WALL THICKNESS=0.09 D)"
4672 GOTO 4676
4674 PRINT "10.0=PROJECTING THIN WALL, CORRUGATED METAL 1/2 INCH CORRUGATIONS"
4675 PRINT "11.0=PROJECTING THIN WALL, CORRUGATED METAL 2 INCH CORRUGATIONS"
4676 PRINT "INLET TYPE "
4677 INPUT I8
4680 IF I8>5 THEN 4810
4690 PRINT #1,TAB(6);"90 DEGREE HEADWALL"
4695 IF Q9=2 THEN PRINT #2,TAB(6);"90 DEGREE HEADWALL"
4700 ON I8 GOTO 4710,4730,4750,4770,4790
4710 PRINT #1,TAB(6);"SQUARE EDGE , ALSO APRON"
4715 IF Q9=2 THEN PRINT #2,TAB(6);"SQUARE EDGE , ALSO APRON"
4720 GOTO 5000
4730 PRINT #1,TAB(6);"CORRUGATED METAL EDGE (SLIGHT BEVEL)"
4735 IF Q9=2 THEN PRINT #2,TAB(6);"CORRUGATED METAL EDGE (SLIGHT BEVEL)"
4740 GOTO 5000
4750 PRINT #1,TAB(6);"GROOVE END (0.05 * 0.07 D)"
4755 IF Q9=2 THEN PRINT #2,TAB(6);"GROOVE END (0.05 * 0.07 D)"
4760 GOTO 5000
4770 PRINT #1,TAB(6);"BEVEL (0.04 AT 45 DEGREES)"
4775 IF Q9=2 THEN PRINT #2,TAB(6);"BEVEL (0.04 AT 45 DEGREES)"
4780 GOTO 5000
4790 PRINT #1,TAB(6);"BEVEL (0.083 D AT 33.7 DEGREES)"
4795 IF Q9=2 THEN PRINT #2,TAB(6);"BEVEL (0.083 D AT 33.7 DEGREES)"
4800 GOTO 5000
4810 IF I8>7 THEN 4880
4820 PRINT #1,TAB(6);"MITERED TO EMBANKMENT"
4825 IF Q9=2 THEN PRINT #2,TAB(6);"MITERED TO EMBANKMENT"
4830 IF I8=7 THEN 4860
4840 PRINT #1,TAB(6);"CIRCULAR, SQUARE EDGE"
4845 IF Q9=2 THEN PRINT #2,TAB(6);"CIRCULAR, SQUARE EDGE"
4850 GOTO 5000
4860 PRINT #1,TAB(6);"(ALL OTHER NON-RECTANGULAR SHAPES)"
4865 IF Q9=2 THEN PRINT #2, TAB(6);"(ALL NON-RECTANGULAR SHAPES)"
4870 GOTO 5000
4880 IF I8>9 THEN 4950
4890 PRINT #1,TAB(6);"THICK WALL, PROJECTING"
4895 IF Q9=2 THEN PRINT #2,TAB(6);"THICK WALL, PROJECTING"
4900 IF I8=9 THEN 4930
4910 PRINT #1,TAB(6);"WALL THICKNESS = 0.09 D"
4915 IF Q9=2 THEN PRINT #2,TAB(6);"WALL THICKNESS = 0.09 D"
4920 GOTO 5000
4930 PRINT #1,TAB(6);"GROOVE END (0.05 * 0.07 D) ALSO BEVELS"
4935 IF Q9=2 THEN PRINT #2,TAB(6);"GROOVE END (0.05 * 0.07 D) ALSO BEVELS"
4940 GOTO 5000
4950 PRINT #1,TAB(6);"THIN WALL, PROJECTING"
4955 IF Q9=2 THEN PRINT #2,TAB(6);"THIN WALL, PROJECTING"
4960 IF I8=11 THEN 4990
4970 PRINT #1,TAB(6);"CORRUGATED METAL, 1/2 INCH CORRUGATIONS"
4975 IF Q9=2 THEN PRINT #2,TAB(6);"CORRUGATED METAL, 1/2 INCH CORRUGATIONS"
4980 GOTO 5000
4990 PRINT #1,TAB(6);"CORRUGATED METAL, 2 INCH CORRUGATINS"
4995 IF Q9=2 THEN PRINT #2,TAB(6);"CORRUGATED METAL, 2 INCH CORRUGATINS"
5000 G9=-.05*S
5010 IF I8<>6 AND I8<>7 THEN 5030
5020 G9=.7*S
5030 PRINT #1," "
5035 IF Q9=2 THEN PRINT #2," "
5040 IF Q/O9/SQR(D6) <= CX(I8,3 )   THEN 5200
5050 IF Q/O9/SQR(D6) >= CX(I8,6 )   THEN 5250
5060 I7=Q
5070 Q=CX(I8,3 )  *O9*SQR(D6)
5080 J9=0
5090 GOTO 1360
5100 H7=D6*((X0-M+Q*Q/A8/A8/64.4)/D6+CX(I8,1 )  *CX(I8,3 )  ^CX(I8,2 )  +G9)
5110 H8=D6*(CX(I8,4 )  *CX(I8,6 )  ^2+CX(I8,5 )  +G9)
5120 H6=CX(I8,6 )  *O9*SQR(D6)
5130 H9=H8-(H8-H7)*(H6-I7)/(H6-Q)
5140 PRINT #1,USING FORMAT20$;H9
5141 X0=0
5142 V1=0
5143 D0=0
5144 V=0
5145 IF Q9=2 THEN PRINT #2,USING FORMAT20$;H9
5150 PRINT #1," "
5155 IF Q9=2 THEN PRINT #2," "
5160 PRINT #1," "
5165 IF Q9=2 THEN PRINT #2," "
5170 Q=I7
5180 I7=0
5190 GOTO 2820
5200 H9=D6*((Y8+V8^2/64.4)/D6+CX(I8,1 )  *(Q/O9/SQR(D6))^CX(I8,2 )  +G9)
5210 PRINT #1,USING FORMAT21$;H9
5211 X0=0
5212 V1=0
5213 D0=0
5214 V=0
5215 IF Q9=2 THEN PRINT #2,USING FORMAT21$;H9
5220 PRINT #1," "
5225 IF Q9=2 THEN PRINT #2," "
5230 PRINT #1," "
5235 IF Q9=2 THEN PRINT #2," "
5240 GOTO 2820
5250 H9=D6*(CX(I8,4 )  *(Q/O9/SQR(D6))^2+CX(I8,5 )  +G9)
5260 PRINT #1,USING FORMAT22$;H9
5261 X0=0
5262 V1=0
5263 D0=0
5264 V=0
5265 IF Q9=2 THEN PRINT #2,USING FORMAT22$;H9
5270 PRINT #1," "
5275 IF Q9=2 THEN PRINT #2," "
5280 PRINT #1," "
5285 IF Q9=2 THEN PRINT #2," "
5290 GOTO 2820
5300 PRINT #1,USING FORMAT1$;FNOMOD6(O),Q,S
5305 IF Q9=2 THEN PRINT #2,USING FORMAT1$;FNOMOD6(O),Q,S
5310 PRINT #1," "
5315 IF Q9=2 THEN PRINT #2," "
5320 IF N<>0 OR (O<>2 AND O<>3) THEN 5360
5330 PRINT "ENTER COMPOSITE MANNING'S 'N'";
5340 INPUT N
5350 GOTO 5320
5360 IF N<>0 THEN 5430
5370 PRINT #1,TAB(6);"DEPTH OF MATERIAL =";
5375 IF Q9=2 THEN PRINT #2,TAB(6);"DEPTH OF MATERIAL =";
5380 IF FNOMOD6(O)=2 AND T0<>2 THEN 5410
5390 PRINT #1,M
5395 IF Q9=2 THEN PRINT #2,M
5400 GOTO 5520
5410 PRINT #1,M-M0
5415 IF Q9=2 THEN PRINT #2,M-M0
5420 GOTO 5520
5430 IF M=0 AND O<>2 AND O<>3 AND O<>7 AND O<>8 THEN 5460
5440 PRINT #1,TAB(6);"COMPOSITE ";
5445 IF Q9=2 THEN PRINT #2,TAB(6);"COMPOSITE ";
5450 GOTO 5470
5460 PRINT #1,"     ";
5465 IF Q9=2 THEN PRINT #2,"     ";
5470 PRINT #1,"MANNING'S "N" =";N,"DEPTH OF MATERIAL =";
5475 IF Q9=2 THEN PRINT #2,"MANNING'S "N" =";N,"DEPTH OF MATERIAL =";
5480 IF FNOMOD6(O)=2 AND T0<>2 THEN 5510
5490 PRINT #1,M
5495 IF Q9=2 THEN PRINT #2,M
5500 GOTO 5520
5510 PRINT #1,M-M0
5515 IF Q9=2 THEN PRINT #2,M-M0
5520 PRINT #1," "
5525 IF Q9=2 THEN PRINT #2," "
5530 RETURN
5540 IF I9=2 THEN 5700
5550 X=W/2-R2
5560 Y=R1-H/2
5570 A=ATN(X/Y)*R9
5580 B=(90-A)*2
5590 Z=SQR(X^2+Y^2)
5600 C=(Y*R1-Y*Z)/Z
5610 D=X*R1/Z
5620 E=H/2-C
5630 A5=.5*R1^2*(2*A/R9-SIN(2*A/R9))
5640 A9=2*A5+4*D*C+R2^2*(B/R9-SIN(B/R9))
5650 P9=4*A/R9*R1+2*B/R9*R2
5660 IF O=2 OR O=7 THEN 5690
5663 D0=0
5664 V=0
5670 PRINT #1,USING FORMAT23$;A9,P9
5675 IF Q9=2 THEN PRINT #2,USING FORMAT23$;A9,P9
5680 PRINT #1," "
5685 IF Q9=2 THEN PRINT #2," "
5690 REM  PARTIAL AREA
5700 IF X0>E THEN 5770
5710 T3=(R1-X0)/R1
5720 T4=ATN(SQR(1-T3^2)/T3)
5730 C8=2*R1*SIN(T4)
5740 P8=2*T4*R1
5750 A8=R1^2*T4-(R1-X0)*SQR(2*R1*X0-X0^2)
5760 GOTO 6060
5770 IF X0>(2*C+E) THEN 5980
5780 X1=X0-E
5790 P=X1/SIN(B/2/R9)
5800 P4=P*COS(B/2/R9)
5810 P2=R2-P
5820 B1=180-B/2
5830 T3=P2*SIN(B1/R9)/R2
5840 B2=ATN(T3/SQR(1-T3^2))*R9
5850 B3=180-B1-B2
5860 P1=R2*SIN(B3/R9)/SIN(B1/R9)
5870 P5=P1-P4
5880 A7=X1*P5
5890 T5=B3/R9
5900 T6=2*A/R9
5910 P7=R2*T5
5920 P6=R1*T6
5930 P8=P6+P7*2
5940 A6=R2^2*(T5-SIN(T5))
5950 A8=A7+A6+2*D*X1+A5
5960 C8=2*D+2*P5
5970 GOTO 6060
5980 X1=H-X0
5990 T3=(R1-X1)/R1
6000 T4=ATN(SQR(1-T3^2)/T3)
6010 P7=2*T4*R1
6020 P8=P9-P7
6030 A7=R1^2*T4-(R1-X1)*(2*R1*X1-X1^2)^.5
6040 C8=2*R1*SIN(T4)
6050 A8=A9-A7
6060 I9=2
6070 RETURN
6080 CHAIN "MENU" :'************************************************
6090 PRINT "DIMENSION FT & INCHS? YES=0 NO=1";
6100 F0=0
6110 INPUT T0
6120 IF T0>0 THEN 6310
6130 PRINT "ENTER SPAN";
6140 INPUT W0,W1
6150 PRINT #1,USING FORMAT24$;W0,W1
6155 IF Q9=2 THEN PRINT #2,USING FORMAT24$;W0,W1
6160 W=W0+W1/12
6170 PRINT "ENTER RISE";
6180 INPUT H0,H1
6190 PRINT #1,USING FORMAT25$;H0,H1
6195 IF Q9=2 THEN PRINT #2,USING FORMAT25$;H0,H1
6200 H=H0+H1/12
6210 PRINT "ENTER TOP RADIUS";
6220 INPUT T0,T1
6230 PRINT #1,USING FORMAT26$;T0,T1
6235 IF Q9=2 THEN PRINT #2,USING FORMAT26$;T0,T1
6240 R1=T0+T1/12
6250 PRINT "ENTER SIDE RADIUS";
6260 INPUT T0,T1
6270 R2=T0+T1/12
6280 PRINT #1,USING FORMAT27$;T0,T1
6285 IF Q9=2 THEN PRINT #2,USING FORMAT27$;T0,T1
6290 PRINT #1," "
6295 IF Q9=2 THEN PRINT #2," "
6300 GOTO 6430
6310 PRINT "ENTER SPAN";
6320 INPUT W
6330 F0=1
6340 PRINT "ENTER RISE";
6350 INPUT H
6360 PRINT "ENTER TOP RADIUS";
6370 INPUT R1
6380 PRINT "ENTER SIDE RADIUS";
6390 INPUT R2
6400 PRINT #1,USING FORMAT28$;W,H
6405 IF Q9=2 THEN PRINT #2,USING FORMAT28$;W,H
6410 PRINT #1,USING FORMAT29$;R1,R2
6415 IF Q9=2 THEN PRINT #2,USING FORMAT29$;R1,R2
6420 PRINT #1," "
6425 IF Q9=2 THEN PRINT #2," "
6430 PRINT "IS DATA CORRECT  YES=0  NO=1";
6440 INPUT J
6450 IF J<1 THEN 6490
6460 PRINT #1," "
6465 IF Q9=2 THEN PRINT #2," "
6470 PRINT #1," "
6475 IF Q9=2 THEN PRINT #2," "
6480 GOTO 6090
6490 RETURN
6500 IF F0=1 THEN 6630
6510 H0=INT(W)
6520 PRINT #1,USING FORMAT24$;H0,12*(W-H0)+.5
6525 IF Q9=2 THEN PRINT #2,USING FORMAT24$;H0,12*(W-H0)+.5
6530 H0=INT(H)
6540 PRINT #1,USING FORMAT25$;H0,12*(H-H0)+.5
6545 IF Q9=2 THEN PRINT #2,USING FORMAT25$;H0,12*(H-H0)+.5
6550 H0=INT(R1)
6560 PRINT #1,USING FORMAT26$;H0,12*(R1-H0)+.5
6565 IF Q9=2 THEN PRINT #2,USING FORMAT26$;H0,12*(R1-H0)+.5
6570 H0=INT(R2)
6580 PRINT #1,USING FORMAT27$;H0,12*(R2-H0)+.5
6585 IF Q9=2 THEN PRINT #2,USING FORMAT27$;H0,12*(R2-H0)+.5
6590 PRINT #1," "
6595 IF Q9=2 THEN PRINT #2," "
6600 PRINT #1,USING FORMAT23$;A9,P9
6605 IF Q9=2 THEN PRINT #2,USING FORMAT23$;A9,P9
6610 PRINT #1," "
6615 IF Q9=2 THEN PRINT #2," "
6620 RETURN
6630 PRINT #1,USING FORMAT28$;W,H
6635 IF Q9=2 THEN PRINT #2,USING FORMAT28$;W,H
6640 PRINT #1,USING FORMAT29$;R1,R2
6645 IF Q9=2 THEN PRINT #2,USING FORMAT29$;R1,R2
6650 PRINT #1," "
6655 IF Q9=2 THEN PRINT #2," "
6660 GOTO 6600
6740 IF I9=4 THEN 6870
6750 X=W/2-R2
6760 Y=R1-H/2
6770 A=ATN(X/Y)*R9
6780 B=(90-A)*2
6790 Z=SQR(X^2+Y^2)
6800 C=(Y*R1-Y*Z)/Z
6810 D=X*R1/Z
6820 E=H/2-C
6830 A5=.5*R1^2*(2*A/R9-SIN(2*A/R9))
6840 A9=2*A5+4*D*C+R2^2*(B/R9-SIN(B/R9))
6850 P9=4*A/R9*R1+2*B/R9*R2
6860 REM  PARTIAL AREA
6870 IF X0>E THEN 6940
6880 T3=(R1-X0)/R1
6890 T4=ATN(SQR(1-T3^2)/T3)
6900 C8=2*R1*SIN(T4)
6910 P8=2*T4*R1
6920 A8=R1^2*T4-(R1-X0)*SQR(2*R1*X0-X0^2)
6930 GOTO 7230
6940 IF X0>(2*C+E) THEN 7150
6950 X1=X0-E
6960 P=X1/SIN(B/2/R9)
6970 P4=P*COS(B/2/R9)
6980 P2=R2-P
6990 B1=180-B/2
7000 T3=P2*SIN(B1/R9)/R2
7010 B2=ATN(T3/SQR(1-T3^2))*R9
7020 B3=180-B1-B2
7030 P1=R2*SIN(B3/R9)/SIN(B1/R9)
7040 P5=P1-P4
7050 A7=X1*P5
7060 T5=B3/R9
7070 T6=2*A/R9
7080 P7=R2*T5
7090 P6=R1*T6
7100 P8=P6+P7*2
7110 A6=R2^2*(T5-SIN(T5))
7120 A8=A7+A6+2*D*X1+A5
7130 C8=2*D+2*P5
7140 GOTO 7230
7150 X1=H-X0
7160 T3=(R1-X1)/R1
7170 T4=ATN(SQR(1-T3^2)/T3)
7180 P7=2*T4*R1
7190 P8=P9-P7
7200 A7=R1^2*T4-(R1-X1)*(2*R1*X1-X1^2)^.5
7210 C8=2*R1*SIN(T4)
7220 A8=A9-A7
7230 I9=4
7240 RETURN
7250 I9=0
7260 PRINT "ENTER SPAN (FT, IN)";
7270 INPUT W0,W1
7280 PRINT #1,USING FORMAT24$;W0,W1
7285 IF Q9=2 THEN PRINT #2,USING FORMAT24$;W0,W1
7290 W=W0+W1/12
7300 PRINT "ENTER TOP RISE (FT, IN)";
7310 INPUT H0,H1
7320 PRINT #1,USING FORMAT30$;H0,H1
7325 IF Q9=2 THEN PRINT #2,USING FORMAT30$;H0,H1
7330 H=2*H0+H1/6
7340 F0=H0
7350 F1=H1
7360 PRINT "ENTER TOTAL RISE (FT, IN)";
7370 INPUT H0,H1
7380 PRINT #1,USING FORMAT31$;H0,H1
7385 IF Q9=2 THEN PRINT #2,USING FORMAT31$;H0,H1
7390 M0=H-H0-H1/12
7400 IF H1<F1 THEN 7430
7410 PRINT #1,USING FORMAT32$;H0-F0,H1-F1
7415 IF Q9=2 THEN PRINT #2,USING FORMAT32$;H0-F0,H1-F1
7420 GOTO 7440
7430 PRINT #1,USING FORMAT32$;H0-F0-1,H1-F1+12
7435 IF Q9=2 THEN PRINT #2,USING FORMAT32$;H0-F0-1,H1-F1+12
7440 PRINT "ENTER TOP RADIUS (FT, IN)";
7450 INPUT T0,T1
7460 PRINT #1,USING FORMAT26$;T0,T1
7465 IF Q9=2 THEN PRINT #2,USING FORMAT26$;T0,T1
7470 R1=T0+T1/12
7480 PRINT "ENTER SIDE RADIUS (FT, IN)";
7490 INPUT T0,T1
7500 PRINT #1,USING FORMAT27$;T0,T1
7505 IF Q9=2 THEN PRINT #2,USING FORMAT27$;T0,T1
7510 R2=T0+T1/12
7520 PRINT #1," "
7525 IF Q9=2 THEN PRINT #2," "
7530 PRINT "IS DATA CORRECT? YES=0 N0=1";
7540 INPUT J
7550 IF J=1 THEN 7260
7560 RETURN
7570 H0=INT(W)
7580 PRINT #1,USING FORMAT24$;H0,12*(W-H0)+.5
7585 IF Q9=2 THEN PRINT #2,USING FORMAT24$;H0,12*(W-H0)+.5
7590 PRINT #1,USING FORMAT30$;F0,F1
7595 IF Q9=2 THEN PRINT #2,USING FORMAT30$;F0,F1
7600 H1=H/2-M0
7610 H0=INT(H1+1E-08)
7620 W0=0
7630 IF F1+12*(H1-H0)+.002<12 THEN 7650
7640 W0=1
7650 PRINT #1,USING FORMAT31$;H0+F0+W0,ABS(F1+12*(H1-H0)-12*W0)+.5
7655 IF Q9=2 THEN PRINT #2,USING FORMAT31$;H0+F0+W0,ABS(F1+12*(H1-H0)-12*W0)+.5
7660 PRINT #1,USING FORMAT32$;H0,ABS(12*(H1-H0))+.5
7665 IF Q9=2 THEN PRINT #2,USING FORMAT32$;H0,ABS(12*(H1-H0))+.5
7670 H0=INT(R1)
7680 PRINT #1,USING FORMAT26$;H0,12*(R1-H0)+.5
7685 IF Q9=2 THEN PRINT #2,USING FORMAT26$;H0,12*(R1-H0)+.5
7690 H0=INT(R2)
7700 PRINT #1,USING FORMAT27$;H0,12*(R2-H0)+.5
7705 IF Q9=2 THEN PRINT #2,USING FORMAT27$;H0,12*(R2-H0)+.5
7710 PRINT #1," "
7715 IF Q9=2 THEN PRINT #2," "
7720 RETURN
7730 IF I9=8 THEN 7920
7740 REM TOTAL AREA
7750 D=ATN((R2/R1)/SQR(1-(R2/R1)^2))*R9
7760 S2=1.285575219#*T+.71442478#*C
7770 H0=12*(S2-INT(S2))
7780 IF H0>=11.5 THEN 7840
7790 PRINT #1,USING FORMAT24$;INT(S2),H0+.5
7795 IF Q9=2 THEN PRINT #2,USING FORMAT24$;INT(S2),H0+.5
7800 PRINT #1," "
7810 GOTO 7840
7820 PRINT #1,USING FORMAT24$;INT(S2)+1,0
7825 IF Q9=2 THEN PRINT #2,USING FORMAT24$;INT(S2)+1,0
7830 PRINT #1," "
7835 IF Q9=2 THEN PRINT #2," "
7840 S4=S2-2*(R1*(1-COS(D/R9)))
7850 A7=S4*S4*TAN(D/R9)/4+D*PI*R1*R1/180-(2*R1-S2)^2*TAN(D/R9)/4
7860 A9=A7+2*PI*T*T/9-(T-C)^2*.492403876#+5*PI*C*C/18
7870 P9=S4+PI*R1*D/90+5*PI*C/9+4*PI*T/9
7880 B=R2+.766044443#*C
7890 E=S4*TAN(D/R9)/2
7900 PRINT #1,USING FORMAT23$;A9,P9
7905 IF Q9=2 THEN PRINT #2,USING FORMAT23$;A9,P9
7910 PRINT #1," "
7915 IF Q9=2 THEN PRINT #2," "
7920 REM PARTIAL AREA
7930 IF X0>E THEN 7980
7940 A8=PI*(R1*X0/R2)^2*D/180+(S4*X0*(2*E-X0))/(2*E)
7950 C8=S2-2*R1+2*SQR(R1^2-(R2-X0)^2)
7960 P8=S4+PI*D*(R1*X0/R2)/90
7970 GOTO 8180
7980 IF X0>R2 THEN 8010
7990 A8=S4*S4*TAN(D/R9)/4+PI*(R1*X0/R2)^2*D/180-((2*R1-S2)*(X0-E)^2)/(2*(R2-E))
8000 GOTO 7950
8010 IF X0>B THEN 8070
8020 A8=A7+5*PI*(C*C-(C-(C*(X0-R2))/(B-R2))^2)/18
8030 A8=A8+((S2-2*C)+(X0-R2)/1.191753592#)*(X0-R2)
8040 C8=S2-2*C+(X0-R2)/.595876796#+2*(C-(C*(X0-R2))/(B-R2))
8050 P8=S4+PI*R1*D/90+PI*C*5/9-PI*(C-(C*(X0-R2))/(B-R2))*5/9
8060 GOTO 8180
8070 IF X0<>H THEN 8120
8080 A8=A9
8090 P8=P9
8100 C8=0
8110 GOTO 8180
8120 X=H-X0
8130 X1=(T-X)/T
8140 T3=2*ATN(SQR(1-X1*X1)/X1)
8150 A8=A9-T*T*(T3-SIN(T3))/2
8160 C8=2*T*SIN(T3/2)
8170 P8=P9-T*T3
8180 I9=8
8190 RETURN
8200 PRINT "ENTER RADIUS RT (FT, IN)";
8210 INPUT H0,H1
8220 T=H0+H1/12
8230 PRINT #1,USING FORMAT33$;H0,H1
8235 IF Q9=2 THEN PRINT #2,USING FORMAT33$;H0,H1
8240 PRINT "ENTER RADIUS RC (FT, IN)";
8250 INPUT H0,H1
8260 PRINT #1,USING FORMAT34$;H0,H1
8265 IF Q9=2 THEN PRINT #2,USING FORMAT34$;H0,H1
8270 C=H0+H1/12
8280 PRINT "ENTER RADIUS RS (FT, IN)";
8290 INPUT H0,H1
8300 PRINT #1,USING FORMAT35$;H0,H1
8305 IF Q9=2 THEN PRINT #2,USING FORMAT35$;H0,H1
8310 R1=H0+H1/12
8320 PRINT "ENTER TOTAL RISE (FT, IN)";
8330 INPUT H0,H1
8340 H=H0+H1/12
8350 PRINT #1,USING FORMAT31$;H0,H1
8355 IF Q9=2 THEN PRINT #2,USING FORMAT31$;H0,H1
8360 PRINT "ENTER TOP RISE (FT, IN)";
8370 INPUT W0,W1
8380 PRINT #1,USING FORMAT30$;W0,W1
8385 IF Q9=2 THEN PRINT #2,USING FORMAT30$;W0,W1
8390 PRINT #1," "
8395 IF Q9=2 THEN PRINT #2," "
8400 R2=H-W0-W1/12
8410 PRINT "IS DATA CORRECT? YES=0 N0=1";
8420 INPUT J
8430 IF J=1 THEN 8200
8440 RETURN
8450 H0=INT(T)
8460 PRINT #1,USING FORMAT33$;H0,12*(T-H0)+.5
8465 IF Q9=2 THEN PRINT #2,USING FORMAT33$;H0,12*(T-H0)+.5
8470 H0=INT(C)
8480 PRINT #1,USING FORMAT34$;H0,12*(C-H0)+.5
8485 IF Q9=2 THEN PRINT #2,USING FORMAT34$;H0,12*(C-H0)+.5
8490 H0=INT(R1)
8500 PRINT #1,USING FORMAT35$;H0,12*(R1-H0)+.5
8505 IF Q9=2 THEN PRINT #2,USING FORMAT35$;H0,12*(R1-H0)+.5
8510 H0=INT(H)
8520 PRINT #1,USING FORMAT31$;H0,12*(H-H0)+.5
8525 IF Q9=2 THEN PRINT #2,USING FORMAT31$;H0,12*(H-H0)+.5
8530 PRINT #1,USING FORMAT30$;W0,W1
8535 IF Q9=2 THEN PRINT #2,USING FORMAT30$;W0,W1
8540 PRINT #1," "
8545 IF Q9=2 THEN PRINT #2," "
8550 H0=12*(S2-INT(S2))
8560 IF H0>=11.5 THEN 8600
8570 PRINT #1,USING FORMAT24$;INT(S2),H0+.5
8575 IF Q9=2 THEN PRINT #2,USING FORMAT24$;INT(S2),H0+.5
8580 PRINT #1," "
8585 IF Q9=2 THEN PRINT #2," "
8590 GOTO 8620
8600 PRINT #1,USING FORMAT24$;INT(S2)+1,0
8605 IF Q9=2 THEN PRINT #2,USING FORMAT24$;INT(S2)+1,0
8610 PRINT #1," "
8615 IF Q9=2 THEN PRINT #2," "
8620 PRINT #1,USING FORMAT23$;A9,P9
8625 IF Q9=2 THEN PRINT #2,USING FORMAT23$;A9,P9
8630 PRINT #1," "
8635 IF Q9=2 THEN PRINT #2," "
8640 RETURN
8650 IF I9=6 THEN 8950
8660 REM TOTAL AREA
8670 F=R4-R4*COS(U1/R9)
8680 F1=R4*SIN(U1/R9)
8690 Y4=R4*2*U1/R9
8700 Y0=2*R3*SIN((U2+U3)/2/R9)
8710 F3=R3*(U2+U3)/R9
8720 T=U3+(90-(U2+U3)/2)
8730 Y1=Y0*SIN(T/R9)
8740 Y6=Y0*COS(T/R9)
8750 Y8=R1*COS(Z2/R9)
8760 F9=R1*SIN(Z2/R9)
8770 Y9=R1*2*Z2/R9
8780 F0=R1-Y8
8790 T1=R2*SIN(U8/R9)
8800 U0=U8+U3
8810 Y3=2*R2*SIN(U8/2/R9)
8820 Y2=Y3*COS((U0-U8/2)/R9)
8830 Y7=Y3*SIN((U0-U8/2)/R9)
8840 Y5=R2*U8/R9
8850 F3=R3*(U2+U3)/R9
8860 P9=Y4+2*F3+2*Y5+Y9
8870 A4=.5*R4^2*(2*U1/R9-SIN(2*U1/R9))
8880 A3=2*F1*Y1+Y1*Y6+R3^2*((U2+U3)/R9-SIN((U2+U3)/R9))
8890 A2=2*F9*Y2+Y2*Y7+R2^2*(U8/R9-SIN(U8/R9))
8900 A1=.5*R1^2*(2*Z2/R9-SIN(2*Z2/R9))
8910 A9=A1+A2+A3+A4
8920 PRINT #1,USING FORMAT23$;A9-P9/12,P9
8925 IF Q9=2 THEN PRINT #2,USING FORMAT23$;A9-P9/12,P9
8930 PRINT #1," "
8935 IF Q9=2 THEN PRINT #2," "
8940 I9=6
8950 IF X0>F THEN 9020
8960 F5=R4-X0
8970 U9=2*ATN(SQR(1-(F5/R4)^2)/(F5/R4))*R9
8980 A8=R4^2*(U9/R9-SIN(U9/R9))/2
8990 C8=2*R4*SIN(U9/2/R9)
9000 P8=R4*U9/R9
9010 GOTO 9360
9020 IF X0>F+Y1 THEN 9130
9030 P6=F+R3*SIN(U2/R9)
9040 X1=X0-F
9050 U4=U2-ATN((P6-X0)/R3/SQR(1-((P6-X0)/R3)^2))*R9
9060 P8=2*R4*U1/R9+2*R3*U4/R9
9070 U6=90-U2
9080 U7=90-U6-U4/2
9090 F6=X1*TAN(U7/R9)
9100 A8=A4+R3^2*(U4/R9-SIN(U4/R9))+2*F1*X1+F6*X1
9110 C8=2*F1+2*F6
9120 GOTO 9360
9130 IF X0>F+Y1+Y2 THEN 9280
9140 X1=F+Y1+Y2-X0
9150 S5=X1/SIN(U0/R9)
9160 S4=S5*COS(U0/R9)
9170 S6=R2-S5
9180 J=S6*SIN((180-U0)/R9)/R2
9190 Z1=ATN(J/SQR(1-J^2))*R9
9200 U9=U8+U3-Z1
9210 S7=R2*U9/R9
9220 P8=Y4+2*F3+2*Y5-2*S7
9230 Z7=S6/SIN(Z1/R9)*SIN(U9/R9)
9240 S2=Z7-S4
9250 A8=A2-2*F9*X1-X1*S2-R2^2*(U9/R9-SIN(U9/R9))+A3+A4
9260 C8=2*(F9+S2)
9270 GOTO 9360
9280 X1=F+Y1+Y2+F0-X0
9290 S8=R1-X1
9300 Z5=ATN(SQR(1-(S8/R1)^2)/(S8/R1))*R9
9310 S9=R1*SIN(Z5/R9)
9320 A8=A9-.5*R1^2*(2*Z5/R9-SIN(2*Z5/R9))
9330 Z6=R1*2*Z5/R9
9340 P8=P9-Z6
9350 C8=2*S9
9360 RETURN
9370 PRINT "ENTER RISE (FT, IN)";
9380 INPUT H0,H1
9390 I=1 : T0=22 : T1=2 : W0=23 : W1=5
9400 IF T0=H0 AND T1=H1 THEN 9640
9410 I=2 : T0=25 : T1=6 : W0=23 : W1=8
9420 IF T0=H0 AND T1=H1 THEN 9640
9430 I=3 : T0=25 : T1=10 : W0=24 : W1=0
9440 IF T0=H0 AND T1=H1 THEN 9640
9450 I=4 : T0=25 : T1=11 : W0=25 : W1=6
9460 IF T0=H0 AND T1=H1 THEN 9640
9470 I=5 : T0=27 : T1=8 : W0=24 : W1=10
9480 IF T0=H0 AND T1=H1 THEN 9640
9490 I=6 : T0=28 : T1=3 : W0=26 : W1=8
9500 IF T0=H0 AND T1=H1 THEN 9640
9510 I=7 : T0=27 : T1=0 : W0=27 : W1=5
9520 IF T0=H0 AND T1=H1 THEN 9640
9530 I=8 : T0=27 : T1=10 : W0=28 : W1=1
9540 IF T0=H0 AND T1=H1 THEN 9640
9550 I=9 : T0=30 : T1=7 : W0=28 : W1=7
9560 IF T0=H0 AND T1=H1 THEN 9640
9570 I=10 : T0=29 : T1=8 : W0=30 : W1=0
9580 IF T0=H0 AND T1=H1 THEN 9640
9590 I=11 : T0=31 : T1=2 : W0=30 : W1=0
9600 IF T0=H0 AND T1=H1 THEN 9640
9610 PRINT
9620 PRINT "INCORRECT RISE, TRY AGAIN"
9622 PRINT"ACCEPTABLE RISES ARE AS FOLLOWS"
9625 IF Q9=2 THEN PRINT"(22,2) (25,6) (25,10) (25,11) (27,0) (27,8) (27,10) (28,3) (29,8) (30,7) (31,2)"
9630 GOTO 9370
9640 PRINT #1,USING FORMAT24$;W0,W1
9645 IF Q9=2 THEN PRINT #2,USING FORMAT24$;W0,W1
9650 PRINT #1,USING FORMAT25$;H0,H1
9655 IF Q9=2 THEN PRINT #2,USING FORMAT25$;H0,H1
9660 PRINT #1," "
9665 IF Q9=2 THEN PRINT #2," "
9670 PRINT "IS DATA CORRECT?  0=YES 1=NO";
9680 INPUT J
9690 IF J=1 THEN 9370
9700 ON I GOTO 9710,9740,9770,9800,9830,9860,9890,9920,9950,9980,10010
9710 R1=14.8333 : R2=6.0833 : R3=13.0833 : R4=11.25 : U1=48
9720 B1=23 : U2=41 : B2=37 : U3=14 : B3=15 : U8=37 : B8=20
9730 Z2=38 : B4=25 : GOTO 10040
9740 R1=14.8333 : R2=6.0833 : R3=16.5833 : R4=8.916701 : U1=38
9750 B1=12 : U2=51 : B2=48 : U3=14 : B3=15 : U8=37 : B8=20
9760 Z2=38 : B4=25 : GOTO 10040
9770 R1=16.1667 : R2=7 : R3=17.3333 : R4=9.916701 : U1=45
9780 B1=42 : U2=44 : B2=18 : U3=13 : B3=42 : U8=45 : B8=13
9790 Z2=31 : B4=5 : GOTO 10040
9800 R1=15.8333 : R2=6.9167 : R3=18.0833 : R4=10.5833 : U1=45
9810 B1=7 : U2=44 : B2=53 : U3=5 : B3=35 : U8=45 : B8=35
9820 Z2=38 : B4=50 : GOTO 10040
9830 R1=15.9167 : R2=5.75 : R3=19.6667 : R4=9.25 : U1=44
9840 B1=12 : U2=45 : B2=48 : U3=12 : B3=6 : U8=39 : B8=14
9850 Z2=38 : B4=40 : GOTO 10040
9860 R1=20.9167 : R2=4.75 : R3=20.0833 : R4=8 : U1=34
9870 B1=2 : U2=55 : B2=58 : U3=12 : B3=12 : U8=47 : B8=12
9880 Z2=30 : B4=36 : GOTO 10040
9890 R1=19.9167 : R2=4.5833 : R3=20.3333 : R4=9.583299 : U1=37
9900 B1=56 : U2=52 : B2=4 : U3=6 : B3=18 : U8=49 : B8=18
9910 Z2=34 : B4=24 : GOTO 10040
9920 R1=20.4167 : R2=7.25 : R3=19 : R4=12.1667 : U1=46
9930 B1=46 : U2=43 : B2=14 : U3=9 : B3=37 : U8=50 : B8=12
9940 Z2=30 : B4=11 : GOTO 10040
9950 R1=18.1667 : R2=7 : R3=24 : R4=11.1667 : U1=49
9960 B1=1 : U2=40 : B2=59 : U3=4 : B3=43 : U8=45 : B8=15
9970 Z2=40 : B4=2 : GOTO 10040
9980 R1=21.8333 : R2=6.5833 : R3=24 : R4=11.9167 : U1=47
9990 B1=54 : U2=42 : B2=6 : U3=1 : B3=40 : U8=54 : B8=51
10000 Z2=33 : B4=29 : GOTO 10040
10010 R1=19.25 : R2=7 : R3=24 : R4=12.0833 : U1=49
10020 B1=0 : U2=41 : B2=0 : U3=4 : B3=41 : U8=45 : B8=4
10030 Z2=40 : B4=15
10040 U1=U1+B1/60
10050 U2=U2+B2/60
10060 U3=U3+B3/60
10070 U8=U8+B8/60
10080 Z2=Z2+B4/60
10090 H=H0+(H1+2)/12
10100 W0=W0+(W1+2)/12
10110 RETURN
10120 PRINT #1,USING FORMAT24$;INT(W0-1/6),12*(W0-1/6-INT(W0-1/6))+.5
10125 IF Q9=2 THEN PRINT #2,USING FORMAT24$;INT(W0-1/6),12*(W0-1/6-INT(W0-1/6))+.5
10130 PRINT #1,USING FORMAT25$;H0,H1
10135 IF Q9=2 THEN PRINT #2,USING FORMAT25$;H0,H1
10140 PRINT #1," "
10145 IF Q9=2 THEN PRINT #2," "
10150 RETURN
10160 IF I9=10 THEN 10220
10170 A9=PI*R1*R1
10180 P9=2*PI*R1
10190 PRINT #1,USING FORMAT23$;A9,P9
10195 IF Q9=2 THEN PRINT #2,USING FORMAT23$;A9,P9
10200 I9=10
10210 PRINT #1," "
10215 IF Q9=2 THEN PRINT #2," "
10220 REM PARTIAL AREA
10230 IF X0 >= R1 THEN 10300
10240 X=(R1-X0)/R1
10250 T4=2*ATN(SQR(1-X^2)/X)
10260 A8=R1^2*(T4-SIN(T4))/2
10270 P8=R1*T4
10280 C8=2*R1*SIN(T4/2)
10290 GOTO 10400
10300 IF X0<>R1 THEN 10350
10310 A8=PI*R1*R1/2
10320 P8=PI*R1
10330 C8=H
10340 GOTO 10400
10350 X=(X0-R1)/R1
10360 T4=2*ATN(SQR(1-X^2)/X)
10370 A8=A9-R1^2*(T4-SIN(T4))/2
10380 P8=P9-R1*T4
10390 C8=2*R1*SIN(T4/2)
10400 RETURN
10410 PRINT "ENTER DIAMETER (FT)";
10420 INPUT H
10450 PRINT "IS DATA CORRECT?  YES=0 NO=1";
10460 INPUT J
10470 IF J<1 THEN 10510
10480 PRINT #1," "
10485 IF Q9=2 THEN PRINT #2," "
10490 PRINT #1," "
10495 IF Q9=2 THEN PRINT #2," "
10500 GOTO 10410
10510 R1=H/2
10520 RETURN
10530 PRINT #1," "
10535 IF Q9=2 THEN PRINT #2," "
10540 PRINT #1," "
10545 IF Q9=2 THEN PRINT #2," "
10550 RETURN
55000 REM **************    ERROR   TRAPING   ROUTINE    ******************************************************************************                         '
55010 ET=ERR :EL=ERL
55020 PRINT:PRINT:PRINT
55030 IF ET=25 THEN PRINT"PRINTER IS NOT READY":GOTO 55070
55040 IF ET=24 THEN PRINT "PRINTER IS OUT OF PAPER. REPLACE PAPER ":GOTO 55070
55050 IF ET>=70 AND ET<=72 THEN PRINT"DISK ERROR < not ready , media error , etc. > ":PRINT"PRESS ANY KEY TO CONTINUE":GOTO 55080
55060 IF ET=53 THEN PRINT"MENU NOT ON DEFAULT DRIVE DISK":RESUME 55110:ELSE PRINT"ERROR # " ET " ON LINE # " EL:RESUME 55110
55070 PRINT "Turn on printer. Make sure  'ON LINE '  light is on.":PRINT:PRINT:PRINT "PRESS ANY KEY TO CONTINUE"
55080 AA$=INKEY$:IF AA$="" THEN 55080
55090 RESUME
55100 REM **********************************************************************
55110 ON ERROR GOTO 0:END
